NameCallback (Java Platform SE 8 )
Keywords: javax.security.auth.callback.NameCallback class
Date: 2016-12-09

compact1, compact2, compact3
javax.security.auth.callback

## Class NameCallback

- java.lang.Object
- - javax.security.auth.callback.NameCallback

- All Implemented Interfaces:
    Serializable, Callback

      public class NameCallback
      extends Object
      implements Callback, Serializable

  Underlying security services instantiate and pass a `NameCallback` to the `handle` method of a `CallbackHandler` to retrieve name information.

  See Also:
    `CallbackHandler`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameCallback(String prompt)` Construct a `NameCallback` with a prompt.
    `NameCallback(String prompt, String defaultName)` Construct a `NameCallback` with a prompt and default name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultName()` Get the default name.
    `String` | `getName()` Get the retrieved name.
    `String` | `getPrompt()` Get the prompt.
    `void` | `setName(String name)` Set the retrieved name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameCallback

          public NameCallback(String prompt)

      Construct a `NameCallback` with a prompt.

      Parameters:
        `prompt` - the prompt used to request the name.
      Throws:
        `IllegalArgumentException` - if `prompt` is null or if `prompt` has a length of 0.

    - #### NameCallback

          public NameCallback(String prompt,
                              String defaultName)

      Construct a `NameCallback` with a prompt and default name.

      Parameters:
        `prompt` - the prompt used to request the information.

        `defaultName` - the name to be used as the default name displayed with the prompt.
      Throws:
        `IllegalArgumentException` - if `prompt` is null, if `prompt` has a length of 0, if `defaultName` is null, or if `defaultName` has a length of 0.

  - ### Method Detail

    - #### getPrompt

          public String getPrompt()

      Get the prompt.

      Returns:
        the prompt.

    - #### getDefaultName

          public String getDefaultName()

      Get the default name.

      Returns:
        the default name, or null if this `NameCallback` was not instantiated with a `defaultName`.

    - #### setName

          public void setName(String name)

      Set the retrieved name.

      Parameters:
        `name` - the retrieved name (which may be null).
      See Also:
        `getName()`

    - #### getName

          public String getName()

      Get the retrieved name.

      Returns:
        the retrieved name (which may be null)
      See Also:
        `setName(java.lang.String)`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.